VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Appliance::Access::Dcui Class Reference
Inheritance diagram for Com::Vmware::Appliance::Access::Dcui:

## Avaliable Methods
public method | get ()
public method | new ()
public method | set ()

## Detailed Description

`Com::Vmware::Appliance::Access::Dcui` interface provides methods Get/Set enabled state of DCUI.

## Member Function Documentation

public method Com::Vmware::Appliance::Access::Dcui::get | ( |  | ) |

Get enabled state of Direct Console User Interface (DCUI TTY2).

Return values

  DCUI | is enabled. The return type will be Boolean

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in get: 4
sub get {
my ($self, %args) = @_;
return $self->invoke(method_name => 'get', method_args => {});
}

public method Com::Vmware::Appliance::Access::Dcui::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Access::Dcui::set | ( |  | ) |

Set enabled state of Direct Console User Interface (DCUI TTY2).

Parameters

  enabled | [REQUIRED] DCUI is enabled. . The value must be Boolean.

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in set: 10
sub set {
my ($self, %args) = @_;
my $enabled = $args {enabled};
$self->validate_args (method_name => 'set',
method_args => \%args);
return $self->invoke (method_name => 'set',
method_args => \%args);
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Access/Dcui.pm